# Simulation

The `core` and `world` directories hold source files that are important for all submodels, 
including scheduling, landscape, weather, and input/output functions.

## simulation.jl

This file includes the basal functions for initialising and running simulations.

```@autodocs
Modules = [Persefone]
Pages = ["core/simulation.jl"]
```

## landscape.jl

This file manages the landscape maps that underlie the model.

```@autodocs
Modules = [Persefone]
Pages = ["world/landscape.jl"]
```

## weather.jl

This file reads in weather data and makes it available to the model.

```@autodocs
Modules = [Persefone]
Pages = ["world/weather.jl"]
```
